/**
 * 角色绑定功能
 */
$(function(){

	var userId = $('#userId').val();
	var roleId = $('#roleId').val();

    var tree = $('#bindrole_tree_id').zTreeInit({
        hasCheckbox	: true,
        url		: Config.ROOT + '/authoriz/loadModuleTree?roleId='+roleId
    });
	
	$("#authorization_bindrole_btn").click(function() {
    	var nodes = tree.getCheckedNodes(), moduleIds = [];
		$(nodes).each(function(node){
			moduleIds.push(this.oid);
		});
		App.Ajax.request({
			url		: Config.ROOT+'/authoriz/saveRoleModuleRelation',
			params	: {
				'roleId': roleId,
				'moduleIds': moduleIds.join(',')
			}
		});
	});
});